## meep-mpich 1.1.1

=== debian/changelog ===
meep-mpich (1.1.1-11) unstable; urgency=low

  * debian/control: depend on debhelper >=8
  * debian/control: dependency on dpatch removed
  * debian/rules: build-arch and build-indep according to lintian
                  recommendation added
  * debian/rules: dpatch targets removed
  * debian/README.source: changed from dpatch to quilt
  * debian/source/format: 3.0 (quilt)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Dec 2011 18:00:00 +0100

meep-mpich (1.1.1-10) unstable; urgency=low

  * debian/control: bump Standards Version to 3.9.2. (No changes needed).
  * debian/control: dependency on libhdf5-mpich-dev, libmpich1.0-dev
                    added, this should work better than mpi-stuff
  * debian/rules: targets build-arch and build-indep added (lintian complain)
  
 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 16 Aug 2011 19:00:00 +0200

meep-mpich (1.1.1-9) unstable; urgency=low

  * debian/rules: mpi.h has moved so new CPPFLAGS are needed to really
                 use hdf5 stuff

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 10 Nov 2010 19:00:00 +0100

meep-mpich (1.1.1-8) unstable; urgency=low

  * debian/control: same as 600983 in package meep
       dependency on libhdf5-mpi-dev added again

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 Nov 2010 19:00:00 +0100

meep-mpich (1.1.1-7) unstable; urgency=low

  * debian/rules: remove rpath with chrpath
  * debian/control: add dependency on chrpath
  * as version 1.1.1-6 has been rejected, the bug (Closes: #590420)
    has to be closed again

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Aug 2010 19:00:00 +0200

meep-mpich (1.1.1-6) unstable; urgency=low

  * debian/control: bump Standards Version to 3.9.1. (No changes needed).
  * debian/control: add dependency on mpi-default-dev (Closes: #590420)
    - this is needed to always depend on a working version of MPI on any
      architecture
    - dependency on libmpich1.0-dev and libhdf5-seriald-dev is not needed
      anymore
  * debian/control: due to changed dependencies of dependent packages, this
                    package has to depend on libatlas-base-dev now

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Aug 2010 19:00:00 +0200

meep-mpich (1.1.1-5) unstable; urgency=low

  * debian/control: add conflict for other meep-dev-libs (Closes: #565723)
  * debian/control: removed field "priority" from meep-mpich (Lintian Info)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 26 Jan 2010 21:00:00 +0100

meep-mpich (1.1.1-4) unstable; urgency=low

  * this is a spin-off from package meep-mpi
    The package meep is linked against libhdf5-serial, which is ok. 
    As meep-mpi is also created from that source package, it has to be
    linked as well against libhdf5-serial. Unfortunatley libhdf5-mpich
    conflicts with libhdf5-serial so the best version (meep-mpi+libhdf5-mpich)
    could not be built. 
    Normally one could replace libhdf5-serial by libhdf5-mpich to let
    meep-mpi completely run in parallel mode. Unfortunately the code in meep
    does not allow this (see meep website).
    This is the reason for this package where each library can be the mpich
    version. (Closes: #491583)
    In the future meep-mpi will disappear ...
  * debian/rules: dpatch activated again
  * patch in configure to build meep-mpich instead of meep-mpi

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 08 Jan 2010 18:00:00 +0100

meep (1.1.1-3) unstable; urgency=low

  * debian/rules: change configure script to produce meep-mpi paths
                  everywhere (closes: #551822)
  * debian/control: DM-Upload-Allowed added

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 29 Oct 2009 18:00:00 +0200

meep (1.1.1-2) unstable; urgency=low

  * debian/control: conflicts added for old libmeep versions
    (closes: #548298, #548300)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 25 Sep 2009 19:00:00 +0200

meep (1.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #526352, #530868, #543431)
  * debian/rules: dpatch deactivated again, patches are included in upstream
  * debian/rules: added upstream file ChangeLog to package (pedantic lintian)
  * debian/control: Standards-Version changed to 3.8.3
  * debian/*.symbols*: Maintaining symbols files for these internal libraries 
    does not appear to be a good idea at present as arch- and optimisation-
    dependent symbols tend to slip in. So turning off generation of symbols 
    files has a side-effec of fixing the build failures on armel, mips and 
    mipsel. (also closes: #537813)
  * upstream changed soname from 2 to 6
  * added lintian overrides (see comments in override file):
    - no-symbols-control-file

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 31 Aug 2009 18:00:00 +0200

meep (0.20.3-3) unstable; urgency=low

  * adding modified symbols files (Closes: #520185)
    - for arch alpha, hppa, powerpc, s390, sparc
  * added ldconfig in postinst and postrm for libmeep2 and libmeep-mpi2
    to meet requirements of policy 8.1.1
  * debian/control: Standards-Version changed to 3.8.1
  * debian/control: depending on libctl-dev >=3.0.3-3 in order to use guile-1.8
  * added non empty file meep-enums.scm

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 22 Apr 2009 19:45:00 +0200

meep (0.20.3-2) unstable; urgency=low

  * removed lintian warnings
    - debian/control more detailed extended description
    - debian/copyright changed License:-tag to correct value GPL-2+
    - adding minimal symbols file for libmeep2 and libmeep-mpi2
    - adding modified symbols files for arch amd64
  * applied patch for FTBFS with gcc4.4 (Closes: #505002)
  * debian/rules dpatch activated again

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Feb 2009 19:30:00 +0100

meep (0.20.3-1) unstable; urgency=low

  * New upstream release (Closes: #491516, #491593, #491889)
  * New maintainer (Closes: #481042)
  * debian/control: Standards-Version changed to 3.8.0
  * debian/control: Homepage: added

