=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

package = meep-mpich
soname = 6
lm = lib$(package)$(soname)
lmd = lib$(package)-dev

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS=-I/usr/include/mpi

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl3 \
	--enable-shared --with-pic --enable-cxx \
	--with-mpi=yes

configure: configure-stamp-mpich

configure-stamp-mpich: 
	dh_testdir
	mkdir -p debian/build-mpich
	cat configure | \
		sed "s/PACKAGE_NAME='meep'/PACKAGE_NAME='meep-mpich'/g" |\
		sed "s/PACKAGE='meep'/PACKAGE='meep-mpich'/g" > configure-mpich
	chmod 755 configure-mpich
	cd debian/build-mpich && \
	F77=gfortran ../../configure-mpich $(CONFIGURE_FLAGS) 
	rm -f configure-mpich
	touch configure-stamp-mpich


build: build-arch build-indep
build-arch: build-stamp-mpich
build-indep: build-stamp-mpich

build-stamp-mpich: configure-stamp-mpich 
	dh_testdir
	$(MAKE) -C debian/build-mpich/
	touch build-stamp-mpich

clean:
	dh_testdir
	dh_testroot
	-rm -rf debian/build-mpich
	dh_clean configure-stamp* build-stamp* install-stamp*

install: install-mpich
        # Lintian overrides
	set -e; \
	cd debian ; \
	for i in *.lintian ; do \
	  [ -r "$$i" ] && { \
	    mkdir -p "$${i%%.lintian}/usr/share/lintian/overrides" ;\
	    install  -m 644 "$$i" "$${i%%.lintian}/usr/share/lintian/overrides/$${i%%.lintian}" ;\
	  } ;\
	done

install-mpich: build-stamp-mpich
	dh_testdir
	dh_testroot
	mkdir -p debian/build-mpich/tmpinst
	$(MAKE) -C debian/build-mpich/ install prefix=$(CURDIR)/debian/build-mpich/tmpinst/usr
	/usr/bin/chrpath -d debian/build-mpich/tmpinst/usr/lib/libmeep_mpich.so
	/usr/bin/chrpath -d debian/build-mpich/tmpinst/usr/bin/meep-mpich

	dh_install -pmeep-mpich -p$(lm) -p$(lmd) \
                --sourcedir=debian/build-mpich/tmpinst

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot 
	dh_installdocs
	dh_installman
	dh_installman -pmeep-mpich debian/meep-mpich.1
	dh_installchangelogs ChangeLog
	dh_link 
	dh_strip 
	dh_compress
	dh_fixperms 
	dh_makeshlibs -p$(lm)
	dh_installdeb
	dh_shlibdeps -pmeep-mpich
	dh_shlibdeps -p$(lm)
	dh_gencontrol
	dh_md5sums
	dh_builddeb -pmeep-mpich -p$(lm) -p$(lmd)

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure install-mpich
